Nooskewl issue tracker: Issue373

Title App crashes when dying in Mansion
Priority bug Status resolved
Assigned To goobliata Product Monster RPG 3
Nosy List eric, goobliata

Created on 2018-03-05.01:49:29 by eric, last changed by goobliata.

msg442 (view) Author: eric Date: 2018-03-05.01:49:29
The Google Play beta crashed (app closed) on me upon dying on the second floor of 
the Haunted Mansion.
msg445 (view) Author: eric Date: 2018-03-05.02:12:36
I deliberately died to a Mushroom in the forest before Riverside and it crashed 
there, too. So it's not specific to any one area.
msg447 (view) Author: goobliata Date: 2018-03-05.03:10:35
Yeah, I found the bug. On iOS it hangs instead of crashes (reading from a vector out of 
bounds crashes on Android and not iOS I guess... resulted in an infinite loop on iOS, 
reading from every memory address on the system (eventually.))
msg452 (view) Author: goobliata Date: 2018-03-05.18:30:49
BTW were you able to recover your game using auto saves?
msg453 (view) Author: eric Date: 2018-03-05.21:08:44
Yes, the auto save worked. Eny and Tiggy spawn doing their victory dance though. 
They stopped dancing once I tapped to move somewhere.
msg459 (view) Author: goobliata Date: 2018-03-07.23:08:26
I'll upload a new beta once I finish 
Google cloud saves that won't crash when 
you die.
msg499 (view) Author: eric Date: 2018-03-13.02:23:34
This is still present in beta 20 (Amazon version). I died at sea and the app sent 
me back to the home screen.
msg504 (view) Author: goobliata Date: 2018-03-14.09:18:12
Was the time you said it didn't crash when you died from poison a new game you
hadn't saved yet by chance? I think I found the problem. When you die, if you
are using a save slot it updates your play time but that function was never
updated when the game started using compressed saves so it crashes after trying
to read JSON directly from compressed data.
msg505 (view) Author: goobliata Date: 2018-03-14.09:22:40
When it crashes you should maybe have a line in the log that says something like
"Unexpected symbol on line 1". I came across it myself on Windows because there
it pops up a dialog box with the error (so I think I fixed this bug without even
msg508 (view) Author: eric Date: 2018-03-14.14:26:32
I did a series of tests just now (on the latest Google Play version):

#1. I started a new game, fought Fiddler, succumbed to poison outside of battle, and then was returned to the game's title 
screen. No crash.

#2. I started a new game, fought and lost to Fiddler, the game asked if I wanted to retry the boss, I chose not to, and it 
returned me to the title screen. No crash.

#3. I started a new game, was poisoned by Fiddler, defeated Fiddler, saved game, then succumbed to poison outside of battle and 
was returned to the title screen. No crash.

#4. I resumed from the save I made in #3 and then died while battling a Mushroom. This crashed.

#5. I started a new game, defeated Fiddler, did not save, died while battling a Mushroom, and was returned to the title screen. 
No crash.

So it seems it's tied to save slots, like you said. The log doesn't show any errors on my end. Here are its contents:

"Monster RPG 3 (INFO): Audio format=0x8010,
frequency=44100 Hz, buffer size = 4096 samples.
Monster RPG 3 (INFO): Window size: 1280x720, scaled size: 160x90"
msg509 (view) Author: goobliata Date: 2018-03-14.14:32:31
I guess it crashes before it has a chance to log anything, but this verifies
that it's fixed (next build.) Thanks.
Date User Action Args
2018-03-14 14:32:31goobliatasetstatus: accepted -> resolved
messages: + msg509
2018-03-14 14:26:32ericsetmessages: + msg508
2018-03-14 09:22:40goobliatasetmessages: + msg505
2018-03-14 09:18:12goobliatasetmessages: + msg504
2018-03-13 02:44:18goobliatasetstatus: chatting -> accepted
assignedto: goobliata
nosy: + goobliata
2018-03-13 02:23:34ericsetstatus: resolved -> chatting
messages: + msg499
2018-03-07 23:08:31goobliatasetstatus: chatting -> resolved
2018-03-07 23:08:26goobliatasetstatus: resolved -> chatting
messages: + msg459
2018-03-07 23:07:27goobliatasetstatus: chatting -> resolved
2018-03-05 21:08:44ericsetmessages: + msg453
2018-03-05 18:30:49goobliatasetstatus: resolved -> chatting
messages: + msg452
2018-03-05 03:10:35goobliatasetstatus: chatting -> resolved
messages: + msg447
2018-03-05 02:12:36ericsetstatus: unread -> chatting
messages: + msg445
2018-03-05 01:49:29ericcreate